Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366518 - [Quick installer] Should not upgrade to latest 3.1 for atomic-openshift-utils-3.2
Summary: [Quick installer] Should not upgrade to latest 3.1 for atomic-openshift-utils...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Samuel Munilla
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 08:04 UTC by Anping Li
Modified: 2017-08-24 20:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-24 20:50:19 UTC


Attachments (Terms of Use)

Description Anping Li 2016-08-12 08:04:44 UTC
Description of problem:
With atomic-openshift-utils-3.2.22, When I try to upgrade v3.1. I got the followimg messages.
   (1) Update to latest 3.1
   (2) Upgrade to next release: 3.2

I think atomic-openshift-installer should only support two type of upgrade.
   (1) upgrade from prior release to same release with atomic-openshift-utils
   (2) upgrade to the latest version of current release.

In openshift-ansible-3.2.x, there is no playbooks for 'Update to latest 3.1'/


Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.2.22

How reproducible:
always 

Steps to Reproduce:
1. install v3.1
2. run atomic-openshift-installer upgrade

Actual results:
root@tools ~]# atomic-openshift-installer upgrade

        This tool will help you upgrade your existing OpenShift installation.
        Currently running: openshift-enterprise 3.1

(1) Update to latest 3.1
(2) Upgrade to next release: 3.2

Choose an option from above: 


Expected results:
For atomic-openshift-utils 3.2:
if variant_version: '3.1', the options should be
  (1) upgrade to next release: 3.2

if variant_version: '3.2', the options should be
  (1) upgrade to latest : 3.2

if variant_version is other, report unsupport message

Additional info:

Comment 5 Anping Li 2016-08-17 12:56:24 UTC
I can reproduce it with the following configure files on atomic-openshift-utils-3.2.23-1.


[root@tools ~]# cat .config/openshift/installer.cfg.yml 
ansible_callback_facts_yaml: /root/.config/openshift/.ansible/callback_facts.yaml
ansible_config: /usr/share/atomic-openshift-utils/ansible.cfg
ansible_inventory_path: /root/.config/openshift/hosts
ansible_log_path: /tmp/ansible.log
deployment:
  ansible_ssh_user: root
  hosts:
  - connect_to: host4master.example.com
    hostname: host4master.example.com
    ip: 192.168.0.36
    public_hostname: host4master.example.com
    public_ip: 192.168.0.36
    roles:
    - master
    - etcd
    - node
    - storage
  - connect_to: host4node.example.com
    hostname: host4node.example.com
    ip: 192.168.0.39
    public_hostname: host4node.example.com
    public_ip: 192.168.0.39
    roles:
    - node
  master_routingconfig_subdomain: ''
  proxy_exclude_hosts: ''
  proxy_http: ''
  proxy_https: ''
  roles:
    etcd: {}
    master: {}
    node: {}
    storage: {}
variant: openshift-enterprise
variant_version: '3.1'
version: v2


Note You need to log in before you can comment on or make changes to this bug.